package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 类目和sku的对应关系 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-20
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvCategoryPropertyDao;
import com.heyu.api.data.entity.vv.VvCategoryPropertyEntity;
import com.heyu.api.data.service.vv.VvCategoryPropertyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvCategoryPropertyServiceImpl extends ServiceImpl<VvCategoryPropertyDao, VvCategoryPropertyEntity> implements VvCategoryPropertyService {


    @Autowired
	private VvCategoryPropertyDao vvCategoryPropertyDao;



	@Override
	public VvCategoryPropertyEntity selectVvCategoryPropertyById(Long id){
		return vvCategoryPropertyDao.selectVvCategoryPropertyById(id);
	}



	@Override
	public Long insertVvCategoryProperty(VvCategoryPropertyEntity vvCategoryProperty){
		return vvCategoryPropertyDao.insertVvCategoryProperty(vvCategoryProperty);
	}



	@Override
	public Long insertOrUpdateVvCategoryProperty(VvCategoryPropertyEntity vvCategoryProperty){
		return vvCategoryPropertyDao.insertOrUpdateVvCategoryProperty(vvCategoryProperty);
	}



	@Override
	public int updateVvCategoryPropertyById(VvCategoryPropertyEntity vvCategoryProperty){
		return vvCategoryPropertyDao.updateVvCategoryPropertyById(vvCategoryProperty);
	}



	@Override
	public int updateCoverVvCategoryPropertyById(VvCategoryPropertyEntity vvCategoryProperty){
		return vvCategoryPropertyDao.updateCoverVvCategoryPropertyById(vvCategoryProperty);
	}



	@Override
	public int deleteVvCategoryPropertyById(Long id){
		return vvCategoryPropertyDao.deleteVvCategoryPropertyById(id);
	}



}
